Subject: Re: [PATCH v3] repo: show subcommand-specific help text

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Mar 2026 09:55:08 -0700

Patrick Steinhardt <[email-masked]> writes:

>> v3:
>> - include the requested code changes that were missing from v2
>> - factor shared usage strings into macros to avoid duplication
>> - restore blank lines between tests and before test_done
>
> By the way, it is highly recommended to respond to some of the review
> mails directly, as it helps to create a dialog between submitter and
> reviewer. Otherwise reviewers may feel as if they are talking to a code
> emitting entity :)
>
> It's not necessary to reply to every single mail, but going like "Oops,
> yes, I indeed forgot to add the request code changes. Will fix in the
> next version" can go a long way to make the interaction more social.

Hear! hear!  A new iteration without any introduction is harder to
accept without such a pre-warning to suggest what the author thought
after getting suggestions in earlier reviews.  Did they agree and
took the suggestion?  Did they disagree but took the suggestion
anyway, and if so why did they think the suggestion was not such a
good change?  Did they disagree and did not take the suggestion and
if so why?  They changed the code but not in the way suggested in
the review, but why the new way was thought to be better than both
the original and the reviewer input is unknown?